CFBinaryHeap Reference

## Detailed Description

## Data Structures

struct | CFBinaryHeapCallBacks
struct | CFBinaryHeapCompareContext

## Typedefs

typedef struct __CFBinaryHeap * | CFBinaryHeapRef
typedef void(* | CFBinaryHeapApplierFunction) (const void *val, void *context)
typedef const void *(* | CFBinaryHeapRetainCallBack) (CFAllocatorRef allocator, const void *ptr)
typedef void(* | CFBinaryHeapReleaseCallBack) (CFAllocatorRef allocator, const void *ptr)
typedef CFStringRef(* | CFBinaryHeapCopyDescriptionCallBack) (const void *ptr)
typedef CFComparisonResult(* | CFBinaryHeapCompareCallBack) (const void *ptr1, const void *ptr2, void *info)

## Functions

CFBinaryHeapRef | CFBinaryHeapCreate (CFAllocatorRef allocator, CFIndex capacity, const CFBinaryHeapCallBacks *callBacks, const CFBinaryHeapCompareContext *compareContext)
CFBinaryHeapRef | CFBinaryHeapCreateCopy (CFAllocatorRef allocator, CFIndex capacity, CFBinaryHeapRef heap)
void | CFBinaryHeapAddValue (CFBinaryHeapRef heap, const void *value)
void | CFBinaryHeapApplyFunction (CFBinaryHeapRef heap, CFBinaryHeapApplierFunction applier, void *context)
Boolean | CFBinaryHeapContainsValue (CFBinaryHeapRef heap, const void *value)
CFIndex | CFBinaryHeapGetCount (CFBinaryHeapRef heap)
CFIndex | CFBinaryHeapGetCountOfValue (CFBinaryHeapRef heap, const void *value)
const void * | CFBinaryHeapGetMinimum (CFBinaryHeapRef heap)
Boolean | CFBinaryHeapGetMinimumIfPresent (CFBinaryHeapRef heap, const void **value)
void | CFBinaryHeapGetValues (CFBinaryHeapRef heap, const void **values)
void | CFBinaryHeapRemoveAllValues (CFBinaryHeapRef heap)
void | CFBinaryHeapRemoveMinimumValue (CFBinaryHeapRef heap)
CFTypeID | CFBinaryHeapGetTypeID (void)

## Variables

const CFBinaryHeapCallBacks | kCFStringBinaryHeapCallBacks

## Data Structure Documentation

## CFBinaryHeapCallBacks

struct CFBinaryHeapCallBacks

Data Fields
CFIndex | version |
CFBinaryHeapRetainCallBack | retain |
CFBinaryHeapReleaseCallBack | release |
CFAllocatorCopyDescriptionCallBack | copyDescription |
CFBinaryHeapCompareCallBack | compare |

## CFBinaryHeapCompareContext

struct CFBinaryHeapCompareContext

Data Fields
CFIndex | version |
void * | info |
CFAllocatorRetainCallBack | retain |
CFAllocatorReleaseCallBack | release |
CFAllocatorCopyDescriptionCallBack | copyDescription |